package com.td.WaDa.game.comsnbapply.service;

import com.td.WaDa.common.service.*;
import com.td.WaDa.game.comsnbapply.pojo.ComSnbApply;
import com.td.WaDa.game.comsnbapply.vo.ComSnbApplyVo;

import java.util.Date;
import java.util.List;

public interface ComSnbApplyService extends CommonService<ComSnbApplyVo, ComSnbApply, String> {

    List<ComSnbApply> findAllByUserIdAndIsState(String userId,Integer isState);

    ComSnbApply findByUserIdAndSnbAndIsState(String userId,Integer snb,Integer isState);

    List<ComSnbApply> findAllByUserId(String userId);

    List<ComSnbApply> findAllByIn(List<String> ids);

    List<ComSnbApply> saveAll(List<ComSnbApply> comSnbApplies);


    List<ComSnbApply> getBetweenTimeList(Date begin, Date end);

}
